Patch Product
curl --request PATCH \
--url https://api.example.com/v1/products/{entity_id} \
--header 'Content-Type: application/json' \
--data '
{
"product_id": "<string>",
"product_name": "<string>",
"product_group": "<string>",
"manufacturer": "<string>",
"brand": "<string>",
"status": "<string>",
"product_type": "<string>",
"barcode": "<string>",
"stock_on_hand": 123,
"category_1": "<string>",
"category_2": "<string>",
"category_3": "<string>",
"category_4": "<string>",
"category_5": "<string>",
"image_url": "<string>",
"product_url": "<string>",
"rrp": 123,
"regular_price": 123,
"product_created_date": "2023-12-25",
"price_effective_date": "2023-12-25",
"cost_effective_date": "2023-12-25",
"size": "<string>",
"color": "<string>",
"uom": "<string>",
"tax_rate": 123,
"currency": "<string>",
"item_id": "<string>",
"sku": "<string>",
"sku_name": "<string>",
"current_price": 123,
"unit_cost": 123
}
'import requests
url = "https://api.example.com/v1/products/{entity_id}"
payload = {
"product_id": "<string>",
"product_name": "<string>",
"product_group": "<string>",
"manufacturer": "<string>",
"brand": "<string>",
"status": "<string>",
"product_type": "<string>",
"barcode": "<string>",
"stock_on_hand": 123,
"category_1": "<string>",
"category_2": "<string>",
"category_3": "<string>",
"category_4": "<string>",
"category_5": "<string>",
"image_url": "<string>",
"product_url": "<string>",
"rrp": 123,
"regular_price": 123,
"product_created_date": "2023-12-25",
"price_effective_date": "2023-12-25",
"cost_effective_date": "2023-12-25",
"size": "<string>",
"color": "<string>",
"uom": "<string>",
"tax_rate": 123,
"currency": "<string>",
"item_id": "<string>",
"sku": "<string>",
"sku_name": "<string>",
"current_price": 123,
"unit_cost": 123
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
product_id: '<string>',
product_name: '<string>',
product_group: '<string>',
manufacturer: '<string>',
brand: '<string>',
status: '<string>',
product_type: '<string>',
barcode: '<string>',
stock_on_hand: 123,
category_1: '<string>',
category_2: '<string>',
category_3: '<string>',
category_4: '<string>',
category_5: '<string>',
image_url: '<string>',
product_url: '<string>',
rrp: 123,
regular_price: 123,
product_created_date: '2023-12-25',
price_effective_date: '2023-12-25',
cost_effective_date: '2023-12-25',
size: '<string>',
color: '<string>',
uom: '<string>',
tax_rate: 123,
currency: '<string>',
item_id: '<string>',
sku: '<string>',
sku_name: '<string>',
current_price: 123,
unit_cost: 123
})
};
fetch('https://api.example.com/v1/products/{entity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"item_id": "<string>",
"sku": "<string>",
"product_id": "<string>",
"product_name": "<string>",
"product_group": "<string>",
"manufacturer": "<string>",
"brand": "<string>",
"status": "<string>",
"product_type": "<string>",
"barcode": "<string>",
"stock_on_hand": "<string>",
"category_1": "<string>",
"category_2": "<string>",
"category_3": "<string>",
"category_4": "<string>",
"category_5": "<string>",
"image_url": "<string>",
"product_url": "<string>",
"rrp": "<string>",
"regular_price": "<string>",
"product_created_date": "2023-12-25",
"price_effective_date": "2023-12-25",
"cost_effective_date": "2023-12-25",
"size": "<string>",
"color": "<string>",
"uom": "<string>",
"tax_rate": "<string>",
"currency": "<string>",
"sku_name": "<string>",
"current_price": "<string>",
"unit_cost": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}products
Patch Product
PATCH
/
v1
/
products
/
{entity_id}
Patch Product
Path Parameters
Body
application/json
Response
Successful Response
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$⌘I

